/* function t = probabliest(P, size)
 * Determine the most probable state
 */

int probabliest(double p[], int size)
{
	double t;
	int i, j;

	t = 0.0;

	for (i=1; i<size;i++) {
	  if (p[i] > t) { t = p[i]; j = i; };
        };

	return(j);

/* End of the function */
}
